%define pkg_name        Curses-UI-POE
%define pkg_version     0.02801
%define rpm_pkg_version 0.028_01
%define rpm_pkg_release 2.n0i.2

Summary:       A subclass that forces Curses::UI to use POE
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TA/TAG/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Curses::UI) >= 0.93}
%{!?_without_test:BuildRequires: perl(POE) >= 0.11}


%description
Curses::UI::POE - A subclass makes Curses::UI POE Friendly.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES examples/


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.028_01-2.n0i.2.0.02801
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.028_01-1.n0i.1.0.02801
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
